org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryConnectionCheckMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryConnectionCheckMessage

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryConnectionCheckMessage
    extends TcpDiscoveryAbstractMessage
    implements Externalizable

Message used to check whether a node is still connected to the topology. The difference from `TcpDiscoveryStatusCheckMessage` is that this message is sent to the next node which directly replies to the sender without message re-translation to the coordinator.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryConnectionCheckMessage()` Default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryConnectionCheckMessage(TcpDiscoveryNode creatorNode)` Constructor.

### Method Summary

Methods
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`boolean` `traceLogLevel()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryConnectionCheckMessage

    public TcpDiscoveryConnectionCheckMessage()

Default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryConnectionCheckMessage

    public TcpDiscoveryConnectionCheckMessage(TcpDiscoveryNode creatorNode)

Constructor.

Parameters:
  `creatorNode` - Node created this message.

### Method Detail

#### traceLogLevel

    public boolean traceLogLevel()

Overrides:
  `traceLogLevel` in class `TcpDiscoveryAbstractMessage`
Returns:
  `True` if need use trace logging for this message (to reduce amount of logging with debug level).

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017